# $Revision: 1.40 $, $Date: 2008/12/29 21:15:29 $
%define		module	pyorbit

Summary:	Python binding for ORBit
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki ORBit
Name:		python-pyorbit
Version:	2.24.0
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pyorbit/2.24/%{module}-%{version}.tar.bz2
# Source0-md5:	574593815e75ee6e98062c75d6d1581f
# http://bugzilla.gnome.org/show_bug.cgi?id=565967
Patch0:		%{name}-libtool.patch
BuildRequires:	ORBit2-devel >= 1:2.14.6
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-devel >= 1:2.4.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	ORBit2 >= 1:2.14.6
Obsoletes:	%{module}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python language binding for the ORBit2 CORBA implementation.
It aims to take advantage of new features found in ORBit2 to make
language bindings more efficient. This includes:
- use of ORBit2 type libraries to generate stubs
- use of the ORBit_small_invoke_stub() call for operation invocation,
  which allows for short circuited invocation on local objects

%description -l pl.UTF-8
Ten pakiet zawiera wiązania Pythona do ORBit2 - implementacji CORBA.
Jego celem jest wykorzystanie wszystkich nowych możliwości OBRit2, aby
uczynić wiązania bardziej skutecznymi. Wiązania umożliwiają:
- użycie bibliotek typów ORBit2 do generowania szkieletów
- użycie wywołania ORBit_small_invoke_stub() do żądania operacji, co
  pozwala na krótkie wywołania na lokalnych obiektach.

%package devel
Summary:	Development files for the ORBit Python module
Summary(pl.UTF-8):	Pliki programistyczne dla modułu Pythona ORBit
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para o módulo ORBit Python
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.6
Requires:	python-devel >= 2.4.0

%description devel
This package contains development files needed to develop ORBit Python
based extensions.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne potrzebne do rozwijania
rozszerzeń bazujących na ORBit Python.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos de desenvolvimento necessários à criação
de extensões baseadas no ORBit Python.

%package examples
Summary:	Example programs using Python ORBit2 bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające ORBit2
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using ORBit2 bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające ORBit2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/{*.la,*.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/ORBit.so
%{py_sitedir}/*.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/pyorbit-2
%{_pkgconfigdir}/pyorbit-2.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyorbit.spec,v $
Revision 1.40  2008/12/29 21:15:29  megabajt
- updated to 2.24.0
- added -libtool.patch

Revision 1.39  2008/10/03 17:58:30  arekm
- release 2

Revision 1.38  2007-05-26 21:06:30  megabajt
- updated to 2.14.3

Revision 1.37  2007/02/25 15:57:32  megabajt
- updated to 2.14.2
- added examples subpackage

Revision 1.36  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.34  2006/09/27 18:41:08  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.33  2006/08/27 11:12:13  havner
- rebuild with 2.5
- rel 2

Revision 1.32  2006/06/12 15:51:42  freetz
- 2.14.1

Revision 1.31  2006/05/24 09:01:11  qboosh
- merged deps update from AC-branch
- gpm-friendly Source0 URL, restored BR: rpm-pythonprov

Revision 1.28.2.2  2006/05/18 21:13:33  baggins
- release 2
- strict reqs

Revision 1.28.2.1  2006/05/15 13:24:27  baggins
- merged from HEAD

Revision 1.30  2006/03/13 08:04:26  freetz
- 2.14.0

Revision 1.29  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.28  2004/12/24 13:54:54  troll
- rel 3 to rebuild with Python 2.4

Revision 1.27  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.26  2004/11/08 18:54:49  freetz
- bugfree py_compile ready, full autoreconfig, BRs updated, rel.2

Revision 1.25  2004/10/03 23:44:42  grzegol
- updated to 2.0.1

Revision 1.24  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.23  2004/02/23 10:39:25  qboosh
- refresh config.sub for amd64, release 4

Revision 1.22  2003/11/30 20:55:17  krzak
- rel 3
- BR python-devel >= 2.3.2

Revision 1.21  2003/11/26 19:35:15  krzak
- rel 2 to build against python 2.3.2

Revision 1.20  2003/09/01 15:08:50  grzegol
- updated to 2.0.0

Revision 1.19  2003/08/29 14:15:41  wrobell
- rel. 2 to build with python-2.3-2

Revision 1.18  2003/08/24 21:14:51  grzegol
- updated to 1.99.7
- remove also *.py files

Revision 1.17  2003/08/01 11:00:30  wrobell
- ver. 1.99.6

Revision 1.16  2003/07/22 11:57:18  wrobell
- rel. 2 to build with python 2.3 /nest/

Revision 1.15  2003/07/17 12:51:05  wrobell
- rel. 1

Revision 1.14  2003/07/17 08:18:09  qboosh
- removed nointernal patch - required only for ORBit2 2.7.2 (updated BR)

Revision 1.13  2003/07/16 21:52:38  wrobell
- ver. 1.99.5

Revision 1.12  2003/07/03 09:26:50  qboosh
- added nointernal patch (no ORBIT2_INTERNAL_API) - builds with ORBit2 2.7.x now
- removed unneeded *.la for Python modules

Revision 1.11  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/23 15:20:35  aflinta
- updated to version 1.99.4

Revision 1.8  2003/01/20 12:29:30  trojan
- s/libIDL-config/libIDL-config-2/

Revision 1.7  2002/12/29 22:11:59  wrobell
- ver. 1.99.3

Revision 1.6  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.5  2002/11/21 13:56:18  qboosh
- pl description

Revision 1.4  2002/11/18 14:53:00  wrobell
- fixed install requirements for devel subpackage

Revision 1.3  2002/11/15 13:23:04  ankry
- really fixed src path

Revision 1.2  2002/11/15 13:20:04  ankry
- fixed source path

Revision 1.1  2002/11/15 07:54:43  wrobell
- based on python-orbit.spec
